Subject: Re: bug#78583: 31.0.50; emacs --fg-daemon not protecting frame F1

From: martin rudalics <[email-masked]>
Date: Tue, 27 May 2025 10:57:58 +0200

> $ emacs --fg-daemon=foo &
 > $ emacsclient -n -c -s foo &
 >
 > on the graphical frame
 > 1. type M-: (frame-list) ;; two frames
 > 2. C-x 5 1
 > 3. type M-: (frame-list) ;; only one frame. The previous
 > step shouldn't have deleted Frame F1.
 >
 > I noticed this on master on (may 10 2025) commit 6699062.
 >
 > I'm sure this worked on master on feb 13 2025, commit b8c8ae92 but I
 > couldn't check the previous emacs-31.0.4.x binaries are unusable because
 > of unrelated elisp changes. --Madhu

Hopefully fixed now.  Please try again.

Thanks for the report, martin